%define _legacy_common_support 1
Name:		gstm
Version:	1.2
Release:	%mkrel 18
Summary:	A front-end to ssh tunneling

Group:		Networking/Remote access
License:	GPL
URL:		http://gstm.sourceforge.net
Source0:	http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%name-ldx11.patch
Patch1:		%name-xml2.patch

BuildRequires:	desktop-file-utils
#BuildRequires:	gettext
BuildRequires:	pkgconfig(libgnomeui-2.0)

Requires:	openssh-clients

%description
gSTM, short for Gnome SSH Tunnel Manager, is a graphical front-end for
managing ssh tunneled portredirects.

%package -n gaskpass
Group:	Networking/Remote access
Summary: A Gnome X11 passphrase dialog for OpenSSH

%description -n gaskpass
%{summary}.

%prep
%setup -q
%autopatch -p0

%build
%configure
%make_build

%install
%make_install


%files 
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%files -n gaskpass
%{_bindir}/gaskpass


%changelog
* Fri Sep 18 2020 joequant <joequant> 1.2-18.mga8
+ Revision: 1628419
- gcc10 build

* Thu Feb 13 2020 umeabot <umeabot> 1.2-17.mga8
+ Revision: 1512710
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2-16.mga7
+ Revision: 1298098
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 1.2-15.mga6
+ Revision: 954306
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2-14.mga5
+ Revision: 750081
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2-13.mga5
+ Revision: 679969
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2-12.mga4
+ Revision: 505279
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-11.mga3
+ Revision: 352711
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 01 2011 erwan <erwan> 1.2-10.mga2
+ Revision: 174914
- Fixing xml2 inclusion.
- Fixing xml2 inclusion
- Adding xml2 as dependance
- Adding patch to include x11 at linking time
- Adding x11 at linking time
- imported package gstm

